Waiting for engine...
Skip to main content

Boomi API Control Plane REST API - Discovery

Toggle Pane

Download OpenAPI Specification: Download

Run In Postman

For more information about Postman collections, forking, and making your first API call, refer to the Working with Boomi APIs on Postman page.

Discovery

API and environment discovery in connected gateways.

Discover APIs and components

Discover APIs and/or components (applications, plans and subscriptions) in one or more environments.

Authorizations:
bearerAuth
Request Body schema: application/json
required
discoverApiPolicyTemplates
required
boolean

Whether to discover API policy templates. Requires discoverApis to be true.

discoverApis
required
boolean

Whether to discover APIs and their specifications.

discoverComponents
required
boolean

Whether to discover applications and subscriptions.

discoverCustomFields
required
boolean

Whether to discover custom field definitions.

ignoreExclusions
required
boolean

Whether to ignore previously configured discovery exclusions.

environments
Array of strings <uuid> [ items <uuid > ]

UUIDs of specific environments to scan, or null to scan all environments.

stage
string
Enum: "DEVELOPMENT" "PRODUCTION"

Lifecycle stage filter: only scan environments matching this stage.

Responses

Request samples

Content type
application/json
{
  • "discoverApis": true,
  • "discoverComponents": true,
  • "discoverCustomFields": true,
  • "environments": [
    • "497f6eca-6276-4993-bfeb-53cbbbba6f08"
    ],
  • "stage": "DEVELOPMENT",
  • "discoverApiPolicyTemplates": true,
  • "ignoreExclusions": true
}

Response samples

Content type
application/json
{
  • "timestamp": "string",
  • "status": 0,
  • "error": "string",
  • "message": "string",
  • "path": "string"
}

Discover environments

Discover environments in a multi-environment API gateway.

Authorizations:
bearerAuth
Request Body schema: application/json
required
apiGateway
required
string

Identifier of the API gateway to discover APIs from.

ignoreExclusions
required
boolean

Whether to ignore configured exclusion rules during discovery.

Responses

Request samples

Content type
application/json
{
  • "apiGateway": "string",
  • "ignoreExclusions": true
}

Response samples

Content type
application/json
{
  • "timestamp": "string",
  • "status": 0,
  • "error": "string",
  • "message": "string",
  • "path": "string"
}

Discover environments asynchronously

Asynchronously discover environments in a multi-environment API gateway.

Authorizations:
bearerAuth
Request Body schema: application/json
required
apiGateway
required
string

Identifier of the API gateway to discover APIs from.

ignoreExclusions
required
boolean

Whether to ignore configured exclusion rules during discovery.

Responses

Response Schema: application/json
id
required
string <uuid>

UUID of the async job.

Request samples

Content type
application/json
{
  • "apiGateway": "string",
  • "ignoreExclusions": true
}

Response samples

Content type
application/json
{
  • "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08"
}

Discover APIs and components asynchronously

Asynchronously discover APIs and/or components (applications, plans and subscriptions) in one or more environments.

Authorizations:
bearerAuth
Request Body schema: application/json
required
discoverApiPolicyTemplates
required
boolean

Whether to discover API policy templates. Requires discoverApis to be true.

discoverApis
required
boolean

Whether to discover APIs and their specifications.

discoverComponents
required
boolean

Whether to discover applications and subscriptions.

discoverCustomFields
required
boolean

Whether to discover custom field definitions.

ignoreExclusions
required
boolean

Whether to ignore previously configured discovery exclusions.

environments
Array of strings <uuid> [ items <uuid > ]

UUIDs of specific environments to scan, or null to scan all environments.

stage
string
Enum: "DEVELOPMENT" "PRODUCTION"

Lifecycle stage filter: only scan environments matching this stage.

Responses

Response Schema: application/json
id
required
string <uuid>

UUID of the async job.

Request samples

Content type
application/json
{
  • "discoverApis": true,
  • "discoverComponents": true,
  • "discoverCustomFields": true,
  • "environments": [
    • "497f6eca-6276-4993-bfeb-53cbbbba6f08"
    ],
  • "stage": "DEVELOPMENT",
  • "discoverApiPolicyTemplates": true,
  • "ignoreExclusions": true
}

Response samples

Content type
application/json
{
  • "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08"
}